#ifndef RECTANGLE_H
#define RECTANGLE_H

#include <iostream>
#include <cmath>


class CRectangle {
private:
    double length;
    double width;
    static int count;

public:
    CRectangle();
    CRectangle(double side);
    CRectangle(double l, double w);
    ~CRectangle();

    double calculateArea() const;
    double calculateArea(double l, double w)const;
    double calculatePerimeter() const;
    double calculatePerimeter(double l, double w);
    double aspectRatio() const;
    double aspectRatio(double l, double w);
    void rotate();
    void operator+(double increment);
    void operator*(double multiplier);
    operator double() const;
    void operator!();
    double getLength() const;
    double getWidth() const;
    void setSides(double l, double w);
    static int getCount();
    friend std::istream& operator>>(std::istream& in, CRectangle& rectangle);
    friend std::ostream& operator<<(std::ostream& out, const CRectangle& rectangle);
    friend bool operator==(const CRectangle& rect1, const CRectangle& rect2);
    friend bool operator!=(const CRectangle& rect1, const CRectangle& rect2);
};


#endif
